> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/accounts/get-wallet-states",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Wallet States

> Query wallet information



## OpenAPI

````yaml get /api/v3/walletStates
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/walletStates:
    get:
      tags:
        - Accounts
      summary: Get Wallet States
      description: Query wallet information
      operationId: api_v3_get_wallet_states
      parameters:
        - name: address
          in: query
          description: List of addresses in any form. Maximum 1000 addresses allowed.
          required: true
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletStatesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    WalletStatesResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        metadata:
          $ref: '#/components/schemas/Metadata'
        wallets:
          type: array
          items:
            $ref: '#/components/schemas/WalletState'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressMetadata'
    WalletState:
      type: object
      properties:
        address:
          type: string
        balance:
          type: string
        code_hash:
          type: string
        extra_currencies:
          type: object
          additionalProperties:
            type: string
        is_signature_allowed:
          type: boolean
        is_wallet:
          type: boolean
        last_transaction_hash:
          type: string
        last_transaction_lt:
          type: string
          example: '0'
        seqno:
          type: integer
        status:
          type: string
        wallet_id:
          type: integer
        wallet_type:
          type: string
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string
    AddressMetadata:
      type: object
      properties:
        is_indexed:
          type: boolean
        token_info:
          type: array
          items:
            $ref: '#/components/schemas/TokenInfo'
    TokenInfo:
      type: object
      properties:
        description:
          type: string
        extra:
          type: object
          additionalProperties: true
        image:
          type: string
        name:
          type: string
        nft_index:
          type: string
        symbol:
          type: string
        type:
          type: string
        valid:
          type: boolean

````